// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order_web/offer_web.proto

package order_web

import (
	order "gitlab.com/adhocguru/fcp/apis/gen/order/v1/order"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Create Offer
type SaveOfferRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Offer id
	Item *order.Offer `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *SaveOfferRequest) Reset() {
	*x = SaveOfferRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_web_offer_web_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveOfferRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveOfferRequest) ProtoMessage() {}

func (x *SaveOfferRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_web_offer_web_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveOfferRequest.ProtoReflect.Descriptor instead.
func (*SaveOfferRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_web_offer_web_proto_rawDescGZIP(), []int{0}
}

func (x *SaveOfferRequest) GetItem() *order.Offer {
	if x != nil {
		return x.Item
	}
	return nil
}

type SaveOfferResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *SaveOfferResponse) Reset() {
	*x = SaveOfferResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_web_offer_web_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveOfferResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveOfferResponse) ProtoMessage() {}

func (x *SaveOfferResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_web_offer_web_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveOfferResponse.ProtoReflect.Descriptor instead.
func (*SaveOfferResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_web_offer_web_proto_rawDescGZIP(), []int{1}
}

func (x *SaveOfferResponse) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

//----------------
// Activate Offer
//----------------
// Validation:
//  - status must be Draft
type ActivateOfferRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *ActivateOfferRequest) Reset() {
	*x = ActivateOfferRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_web_offer_web_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ActivateOfferRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ActivateOfferRequest) ProtoMessage() {}

func (x *ActivateOfferRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_web_offer_web_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ActivateOfferRequest.ProtoReflect.Descriptor instead.
func (*ActivateOfferRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_web_offer_web_proto_rawDescGZIP(), []int{2}
}

func (x *ActivateOfferRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type ActivateOfferResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ActivateOfferResponse) Reset() {
	*x = ActivateOfferResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_web_offer_web_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ActivateOfferResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ActivateOfferResponse) ProtoMessage() {}

func (x *ActivateOfferResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_web_offer_web_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ActivateOfferResponse.ProtoReflect.Descriptor instead.
func (*ActivateOfferResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_web_offer_web_proto_rawDescGZIP(), []int{3}
}

//----------------
// Reject Offer
//----------------
// Validation:
//  - status must be Active or Draft
type RejectOfferRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *RejectOfferRequest) Reset() {
	*x = RejectOfferRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_web_offer_web_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RejectOfferRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RejectOfferRequest) ProtoMessage() {}

func (x *RejectOfferRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_web_offer_web_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RejectOfferRequest.ProtoReflect.Descriptor instead.
func (*RejectOfferRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_web_offer_web_proto_rawDescGZIP(), []int{4}
}

func (x *RejectOfferRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type RejectOfferResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *RejectOfferResponse) Reset() {
	*x = RejectOfferResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_web_offer_web_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RejectOfferResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RejectOfferResponse) ProtoMessage() {}

func (x *RejectOfferResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_web_offer_web_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RejectOfferResponse.ProtoReflect.Descriptor instead.
func (*RejectOfferResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_web_offer_web_proto_rawDescGZIP(), []int{5}
}

var File_v1_order_web_offer_web_proto protoreflect.FileDescriptor

var file_v1_order_web_offer_web_proto_rawDesc = []byte{
	0x0a, 0x1c, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2f, 0x6f,
	0x66, 0x66, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x16,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x1a, 0x15, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x13, 0x76,
	0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x1a, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64,
	0x65, 0x6c, 0x5f, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x41,
	0x0a, 0x10, 0x53, 0x61, 0x76, 0x65, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x2d, 0x0a, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x19, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x04, 0x69, 0x74, 0x65,
	0x6d, 0x22, 0x23, 0x0a, 0x11, 0x53, 0x61, 0x76, 0x65, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x26, 0x0a, 0x14, 0x41, 0x63, 0x74, 0x69, 0x76, 0x61,
	0x74, 0x65, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x17,
	0x0a, 0x15, 0x41, 0x63, 0x74, 0x69, 0x76, 0x61, 0x74, 0x65, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x24, 0x0a, 0x12, 0x52, 0x65, 0x6a, 0x65, 0x63,
	0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x15, 0x0a,
	0x13, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x32, 0xc6, 0x0e, 0x0a, 0x0c, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x53, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x61, 0x0a, 0x10, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66,
	0x65, 0x72, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x12, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x69, 0x0a, 0x14, 0x4c, 0x69, 0x73, 0x74,
	0x4f, 0x66, 0x66, 0x65, 0x72, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x54, 0x79, 0x70, 0x65,
	0x12, 0x2f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50,
	0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x75, 0x0a, 0x1a, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72,
	0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f,
	0x6e, 0x12, 0x35, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72,
	0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f,
	0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69,
	0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x73, 0x0a, 0x19, 0x4c, 0x69,
	0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f,
	0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x34, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73,
	0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e,
	0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x63, 0x0a, 0x11, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x43, 0x61, 0x74, 0x65,
	0x67, 0x6f, 0x72, 0x79, 0x12, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66,
	0x66, 0x65, 0x72, 0x43, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5d, 0x0a, 0x0e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65,
	0x72, 0x42, 0x72, 0x61, 0x6e, 0x64, 0x12, 0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x4f, 0x66, 0x66, 0x65, 0x72, 0x42, 0x72, 0x61, 0x6e, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x61, 0x0a, 0x10, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72,
	0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x12, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73,
	0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6b, 0x0a, 0x15, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66,
	0x66, 0x65, 0x72, 0x51, 0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x54, 0x79, 0x70, 0x65, 0x12,
	0x30, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x51, 0x75,
	0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x67, 0x0a, 0x0e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72,
	0x4e, 0x61, 0x6d, 0x65, 0x73, 0x12, 0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f,
	0x66, 0x66, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x4e,
	0x61, 0x6d, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x55, 0x0a, 0x08,
	0x47, 0x65, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x12, 0x23, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65,
	0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x24, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x58, 0x0a, 0x09, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72,
	0x12, 0x24, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x60, 0x0a,
	0x09, 0x53, 0x61, 0x76, 0x65, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x12, 0x28, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f,
	0x77, 0x65, 0x62, 0x2e, 0x53, 0x61, 0x76, 0x65, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x53, 0x61,
	0x76, 0x65, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x6c, 0x0a, 0x0d, 0x41, 0x63, 0x74, 0x69, 0x76, 0x61, 0x74, 0x65, 0x4f, 0x66, 0x66, 0x65, 0x72,
	0x12, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x41, 0x63, 0x74, 0x69, 0x76, 0x61,
	0x74, 0x65, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2d,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x41, 0x63, 0x74, 0x69, 0x76, 0x61, 0x74, 0x65,
	0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x66, 0x0a,
	0x0b, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x12, 0x2a, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x4f, 0x66, 0x66, 0x65,
	0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65,
	0x62, 0x2e, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x61, 0x0a, 0x0c, 0x47, 0x65, 0x74, 0x4f, 0x66, 0x66, 0x65,
	0x72, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x27, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4f, 0x66,
	0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x28,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x65,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x64, 0x0a, 0x0d, 0x4c, 0x69, 0x73, 0x74,
	0x4f, 0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x28, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66,
	0x65, 0x72, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x61,
	0x0a, 0x0c, 0x41, 0x64, 0x64, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x27,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x41, 0x64, 0x64, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x41, 0x64, 0x64,
	0x4f, 0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x6a, 0x0a, 0x0f, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x4f, 0x66, 0x66, 0x65, 0x72,
	0x46, 0x69, 0x6c, 0x65, 0x12, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x4f, 0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x4f, 0x66, 0x66, 0x65,
	0x72, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x56, 0x0a,
	0x19, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x50, 0x01, 0x5a, 0x34, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x61, 0x64, 0x68, 0x6f, 0x63, 0x67, 0x75,
	0x72, 0x75, 0x2f, 0x66, 0x63, 0x70, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77,
	0x65, 0x62, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_order_web_offer_web_proto_rawDescOnce sync.Once
	file_v1_order_web_offer_web_proto_rawDescData = file_v1_order_web_offer_web_proto_rawDesc
)

func file_v1_order_web_offer_web_proto_rawDescGZIP() []byte {
	file_v1_order_web_offer_web_proto_rawDescOnce.Do(func() {
		file_v1_order_web_offer_web_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_web_offer_web_proto_rawDescData)
	})
	return file_v1_order_web_offer_web_proto_rawDescData
}

var file_v1_order_web_offer_web_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_v1_order_web_offer_web_proto_goTypes = []interface{}{
	(*SaveOfferRequest)(nil),                        // 0: fcp.order.v1.order_web.SaveOfferRequest
	(*SaveOfferResponse)(nil),                       // 1: fcp.order.v1.order_web.SaveOfferResponse
	(*ActivateOfferRequest)(nil),                    // 2: fcp.order.v1.order_web.ActivateOfferRequest
	(*ActivateOfferResponse)(nil),                   // 3: fcp.order.v1.order_web.ActivateOfferResponse
	(*RejectOfferRequest)(nil),                      // 4: fcp.order.v1.order_web.RejectOfferRequest
	(*RejectOfferResponse)(nil),                     // 5: fcp.order.v1.order_web.RejectOfferResponse
	(*order.Offer)(nil),                             // 6: fcp.order.v1.order.Offer
	(*order.ListOfferProcessRequest)(nil),           // 7: fcp.order.v1.order.ListOfferProcessRequest
	(*order.ListOfferProcessTypeRequest)(nil),       // 8: fcp.order.v1.order.ListOfferProcessTypeRequest
	(*order.ListOfferDeliveryConditionRequest)(nil), // 9: fcp.order.v1.order.ListOfferDeliveryConditionRequest
	(*order.ListOfferPaymentConditionRequest)(nil),  // 10: fcp.order.v1.order.ListOfferPaymentConditionRequest
	(*order.ListOfferCategoryRequest)(nil),          // 11: fcp.order.v1.order.ListOfferCategoryRequest
	(*order.ListOfferBrandRequest)(nil),             // 12: fcp.order.v1.order.ListOfferBrandRequest
	(*order.ListOfferProductRequest)(nil),           // 13: fcp.order.v1.order.ListOfferProductRequest
	(*order.ListOfferQuantityTypeRequest)(nil),      // 14: fcp.order.v1.order.ListOfferQuantityTypeRequest
	(*order.ListOfferNamesRequest)(nil),             // 15: fcp.order.v1.order.ListOfferNamesRequest
	(*order.GetOfferRequest)(nil),                   // 16: fcp.order.v1.order.GetOfferRequest
	(*order.ListOfferRequest)(nil),                  // 17: fcp.order.v1.order.ListOfferRequest
	(*order.GetOfferFileRequest)(nil),               // 18: fcp.order.v1.order.GetOfferFileRequest
	(*order.ListOfferFileRequest)(nil),              // 19: fcp.order.v1.order.ListOfferFileRequest
	(*order.AddOfferFileRequest)(nil),               // 20: fcp.order.v1.order.AddOfferFileRequest
	(*order.DeleteOfferFileRequest)(nil),            // 21: fcp.order.v1.order.DeleteOfferFileRequest
	(*order.DictResponse)(nil),                      // 22: fcp.order.v1.order.DictResponse
	(*order.ListOfferNamesResponse)(nil),            // 23: fcp.order.v1.order.ListOfferNamesResponse
	(*order.GetOfferResponse)(nil),                  // 24: fcp.order.v1.order.GetOfferResponse
	(*order.ListOfferResponse)(nil),                 // 25: fcp.order.v1.order.ListOfferResponse
	(*order.GetOfferFileResponse)(nil),              // 26: fcp.order.v1.order.GetOfferFileResponse
	(*order.ListOfferFileResponse)(nil),             // 27: fcp.order.v1.order.ListOfferFileResponse
	(*order.AddOfferFileResponse)(nil),              // 28: fcp.order.v1.order.AddOfferFileResponse
	(*order.DeleteOfferFileResponse)(nil),           // 29: fcp.order.v1.order.DeleteOfferFileResponse
}
var file_v1_order_web_offer_web_proto_depIdxs = []int32{
	6,  // 0: fcp.order.v1.order_web.SaveOfferRequest.item:type_name -> fcp.order.v1.order.Offer
	7,  // 1: fcp.order.v1.order_web.OfferService.ListOfferProcess:input_type -> fcp.order.v1.order.ListOfferProcessRequest
	8,  // 2: fcp.order.v1.order_web.OfferService.ListOfferProcessType:input_type -> fcp.order.v1.order.ListOfferProcessTypeRequest
	9,  // 3: fcp.order.v1.order_web.OfferService.ListOfferDeliveryCondition:input_type -> fcp.order.v1.order.ListOfferDeliveryConditionRequest
	10, // 4: fcp.order.v1.order_web.OfferService.ListOfferPaymentCondition:input_type -> fcp.order.v1.order.ListOfferPaymentConditionRequest
	11, // 5: fcp.order.v1.order_web.OfferService.ListOfferCategory:input_type -> fcp.order.v1.order.ListOfferCategoryRequest
	12, // 6: fcp.order.v1.order_web.OfferService.ListOfferBrand:input_type -> fcp.order.v1.order.ListOfferBrandRequest
	13, // 7: fcp.order.v1.order_web.OfferService.ListOfferProduct:input_type -> fcp.order.v1.order.ListOfferProductRequest
	14, // 8: fcp.order.v1.order_web.OfferService.ListOfferQuantityType:input_type -> fcp.order.v1.order.ListOfferQuantityTypeRequest
	15, // 9: fcp.order.v1.order_web.OfferService.ListOfferNames:input_type -> fcp.order.v1.order.ListOfferNamesRequest
	16, // 10: fcp.order.v1.order_web.OfferService.GetOffer:input_type -> fcp.order.v1.order.GetOfferRequest
	17, // 11: fcp.order.v1.order_web.OfferService.ListOffer:input_type -> fcp.order.v1.order.ListOfferRequest
	0,  // 12: fcp.order.v1.order_web.OfferService.SaveOffer:input_type -> fcp.order.v1.order_web.SaveOfferRequest
	2,  // 13: fcp.order.v1.order_web.OfferService.ActivateOffer:input_type -> fcp.order.v1.order_web.ActivateOfferRequest
	4,  // 14: fcp.order.v1.order_web.OfferService.RejectOffer:input_type -> fcp.order.v1.order_web.RejectOfferRequest
	18, // 15: fcp.order.v1.order_web.OfferService.GetOfferFile:input_type -> fcp.order.v1.order.GetOfferFileRequest
	19, // 16: fcp.order.v1.order_web.OfferService.ListOfferFile:input_type -> fcp.order.v1.order.ListOfferFileRequest
	20, // 17: fcp.order.v1.order_web.OfferService.AddOfferFile:input_type -> fcp.order.v1.order.AddOfferFileRequest
	21, // 18: fcp.order.v1.order_web.OfferService.DeleteOfferFile:input_type -> fcp.order.v1.order.DeleteOfferFileRequest
	22, // 19: fcp.order.v1.order_web.OfferService.ListOfferProcess:output_type -> fcp.order.v1.order.DictResponse
	22, // 20: fcp.order.v1.order_web.OfferService.ListOfferProcessType:output_type -> fcp.order.v1.order.DictResponse
	22, // 21: fcp.order.v1.order_web.OfferService.ListOfferDeliveryCondition:output_type -> fcp.order.v1.order.DictResponse
	22, // 22: fcp.order.v1.order_web.OfferService.ListOfferPaymentCondition:output_type -> fcp.order.v1.order.DictResponse
	22, // 23: fcp.order.v1.order_web.OfferService.ListOfferCategory:output_type -> fcp.order.v1.order.DictResponse
	22, // 24: fcp.order.v1.order_web.OfferService.ListOfferBrand:output_type -> fcp.order.v1.order.DictResponse
	22, // 25: fcp.order.v1.order_web.OfferService.ListOfferProduct:output_type -> fcp.order.v1.order.DictResponse
	22, // 26: fcp.order.v1.order_web.OfferService.ListOfferQuantityType:output_type -> fcp.order.v1.order.DictResponse
	23, // 27: fcp.order.v1.order_web.OfferService.ListOfferNames:output_type -> fcp.order.v1.order.ListOfferNamesResponse
	24, // 28: fcp.order.v1.order_web.OfferService.GetOffer:output_type -> fcp.order.v1.order.GetOfferResponse
	25, // 29: fcp.order.v1.order_web.OfferService.ListOffer:output_type -> fcp.order.v1.order.ListOfferResponse
	1,  // 30: fcp.order.v1.order_web.OfferService.SaveOffer:output_type -> fcp.order.v1.order_web.SaveOfferResponse
	3,  // 31: fcp.order.v1.order_web.OfferService.ActivateOffer:output_type -> fcp.order.v1.order_web.ActivateOfferResponse
	5,  // 32: fcp.order.v1.order_web.OfferService.RejectOffer:output_type -> fcp.order.v1.order_web.RejectOfferResponse
	26, // 33: fcp.order.v1.order_web.OfferService.GetOfferFile:output_type -> fcp.order.v1.order.GetOfferFileResponse
	27, // 34: fcp.order.v1.order_web.OfferService.ListOfferFile:output_type -> fcp.order.v1.order.ListOfferFileResponse
	28, // 35: fcp.order.v1.order_web.OfferService.AddOfferFile:output_type -> fcp.order.v1.order.AddOfferFileResponse
	29, // 36: fcp.order.v1.order_web.OfferService.DeleteOfferFile:output_type -> fcp.order.v1.order.DeleteOfferFileResponse
	19, // [19:37] is the sub-list for method output_type
	1,  // [1:19] is the sub-list for method input_type
	1,  // [1:1] is the sub-list for extension type_name
	1,  // [1:1] is the sub-list for extension extendee
	0,  // [0:1] is the sub-list for field type_name
}

func init() { file_v1_order_web_offer_web_proto_init() }
func file_v1_order_web_offer_web_proto_init() {
	if File_v1_order_web_offer_web_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_order_web_offer_web_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveOfferRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_web_offer_web_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveOfferResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_web_offer_web_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ActivateOfferRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_web_offer_web_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ActivateOfferResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_web_offer_web_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RejectOfferRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_web_offer_web_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RejectOfferResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_web_offer_web_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_v1_order_web_offer_web_proto_goTypes,
		DependencyIndexes: file_v1_order_web_offer_web_proto_depIdxs,
		MessageInfos:      file_v1_order_web_offer_web_proto_msgTypes,
	}.Build()
	File_v1_order_web_offer_web_proto = out.File
	file_v1_order_web_offer_web_proto_rawDesc = nil
	file_v1_order_web_offer_web_proto_goTypes = nil
	file_v1_order_web_offer_web_proto_depIdxs = nil
}
